---
name: "chrome"
description: >-
  Chrome mode is used while browsing with Chromium-based browsers:
  Google Chrome, Brave, Microsoft Edge, etc.
  See the
  <a href="https://support.google.com/chrome/answer/157179">keyboard shortcuts</a>.
initiallyActive: true
exclusive: false
commands:
  - name: "reload page"
    description: >-
      Reloads the current page.
    alternates:
      - "relate page"
      - "related page"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "r"
  - name: "open new tab"
    description: >-
      Opens a new tab.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "t"
  - name: "close tab"
    description: >-
      Closes the current tab.
    alternates:
      - "closed tab"
      - "clothes tab"
      - "clueless tab"
      - "closed hub"
      - "those tab"
      - "clue was tub"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "w"
  - name: "go right tab"
    description: >-
      Jumps one or more tabs to the right.
      The optional utterance argument is the number of tabs.
      If no utterance argument is supplied, it jumps one.
    alternates:
      - "go right tub"
      - "go white table"
      - "go right table"
      - "go right a tab"
    functions:
      - name: "keyRepeat"
        fixedArguments:
          - "control"
          - "tab"
        utteranceArguments: 1
  - name: "go left tab"
    description: >-
      Jumps one or more tabs to the left.
      The optional utterance argument is the number of tabs.
      If no utterance argument is supplied, it jumps one.
    alternates:
      - "go left tub"
      - "go left table"
      - "go left a tab"
    functions:
      - name: "keyRepeat"
        fixedArguments:
          - "shift"
          - "control"
          - "tab"
        utteranceArguments: 1
  - name: "go to final tab"
    description: >-
      Opens the final tab.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "9"
  - name: "go to tab"
    description: >-
      Jumps to a specific tab.
      The required utterance argument is the tab number (1-8).
    alternates:
      - "go to top"
    functions:
      - name: "keyHold"
        fixedArguments:
          - "control"
      - name: "number"
        utteranceArguments: 1
      - name: "keyRelease"
        fixedArguments:
          - "control"
  - name: "move right tab"
    description: >-
      Move current tab one or more tabs to the right.
      The optional utterance argument is the number of tabs.
      If no utterance argument is supplied, it moves one.
    alternates:
      - "move right tub"
      - "move white table"
      - "move right table"
      - "move right a tab"
    functions:
      - name: "keyRepeat"
        fixedArguments:
          - "control"
          - "shift"
          - "pagedown"
        utteranceArguments: 1
  - name: "move left tab"
    description: >-
      Move current tab one or more tabs to the left.
      The optional utterance argument is the number of tabs.
      If no utterance argument is supplied, it moves one.
    alternates:
      - "move left tub"
      - "move left table"
      - "move left a tab"
    functions:
      - name: "keyRepeat"
        fixedArguments:
          - "shift"
          - "control"
          - "pageup"
        utteranceArguments: 1
  - name: "go back"
    description: >-
      Navigates back.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "left"
  - name: "go forward"
    description: >-
      Navigates forward.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "right"
  - name: "open menu"
    description: >-
      Opens the option menu.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "f"
  - name: "open history"
    description: >-
      Opens the history.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "h"
  - name: "open find"
    description: >-
      Opens the find pop-up.
    alternates:
      - "hoping to find"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "f"
  - name: "next find"
    description: >-
      Goes forward one found item.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "g"
  - name: "prior find"
    description: >-
      Goes backward one found item.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "control"
          - "g"
  - name: "go to address"
    description: >-
      Moves focus to the address bar.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "l"
  - name: "save bookmark"
    description: >-
      Bookmarks the current page.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "d"
  - name: "go to bar"
    description: >-
      Moves focus to the first item in the bookmarks bar.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "shift"
          - "b"
  - name: "duplicate tab"
    description: >-
      Duplicates the current tab to a new tab.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "d"
      - name: "keyPress"
        fixedArguments:
          - "alt"
          - "enter"
  - name: "show links"
    description: >-
      Types the keyboard shortcut for Vimium to show
      clickable the links on the page.
      Presses "f20" then initiates the "browser navigate" exclusive mode.
    alternates:
      - "show legs"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "f20"
      - name: "toggleMode"
        fixedArguments:
          - "on"
          - "browser navigate"
  - name: "show force links"
    description: >-
      Types escape, then the keyboard shortcut for Vimium to show
      clickable links on the page.
      This is useful when the text cursor is in an editable text field,
      because typing escape removes the editable text focus.
      Initiates the "browser navigate" exclusive mode.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "escape"
      - name: "keyPress"
        fixedArguments:
          - "f20"
      - name: "toggleMode"
        fixedArguments:
          - "on"
          - "browser navigate"
  - name: "show new links"
    description: >-
      Types keyboard shortcut for Vimium to show
      clickable links on the page.
      Selecting a link will open it when a new tab.
      Presses "f21" then initiates the "browser navigate" exclusive mode.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "f21"
      - name: "toggleMode"
        fixedArguments:
          - "on"
          - "browser navigate"
